IcedTea-Web NetX

## net.sourceforge.jnlp.services
Class XExtendedService

    java.lang.Object
      net.sourceforge.jnlp.services.XExtendedService

All Implemented Interfaces:
  ExtendedService

    public class XExtendedService

extends java.lang.Object
implements ExtendedService

Implementation of ExtendedService

Constructor Summary
`XExtendedService()`

Method Summary
`FileContents` `openFile(java.io.File file)` Open a file on the client' system and return its contents.
`FileContents[]` `openFiles(java.io.File[] files)` Opens multiple files on the user's sytem and returns their contents as a `FileContents` array

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XExtendedService

    public XExtendedService()

Method Detail

### openFile

    public FileContents openFile(java.io.File file)
                          throws java.io.IOException

  Description copied from interface: `ExtendedService`
  Open a file on the client' system and return its contents. The user must grant permission to the application for this to work.

  Specified by:
    `openFile` in interface `ExtendedService`
  Parameters:
    `file` - the file to open
  Returns:
    the opened file as a `FileContents` object
  Throws:
    `java.io.IOException` - on any io problems

### openFiles

    public FileContents[] openFiles(java.io.File[] files)
                             throws java.io.IOException

  Description copied from interface: `ExtendedService`
  Opens multiple files on the user's sytem and returns their contents as a `FileContents` array

  Specified by:
    `openFiles` in interface `ExtendedService`
  Parameters:
    `files` - the files to open
  Returns:
    an array of FileContents objects
  Throws:
    `java.io.IOException` - on any io problems

IcedTea-Web NetX

Submit a bug or feature